org.eclnt.jsfserver.defaultscreens

## Interface Wizard.IWizardPageInfo

- All Known Implementing Classes:
    Wizard.WizardPageInfo
  Enclosing class:
    Wizard

      public static interface Wizard.IWizardPageInfo

  One page within the wizard.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfDisabledMeansInvisibleWithFinish()`
    `boolean` | `checkIfDisabledMeansInvisibleWithNext()`
    `boolean` | `checkIfDisabledMeansInvisibleWithPrevious()`
    `boolean` | `checkIfFinishIsEnabled()` Check if this page allows to finish the wizard.
    `boolean` | `checkIfPageIsEnabled()` Check if this page is enabled.
    `java.lang.String` | `getContentReplace()` Content replace for the page that will be included.
    `java.lang.String` | `getIconCancel()`
    `java.lang.String` | `getIconDisabled()`
    `java.lang.String` | `getIconFinish()`
    `java.lang.String` | `getIconNext()`
    `java.lang.String` | `getIconPrevious()`
    `java.lang.String` | `getPage()` Page that is shown for the step.
    `boolean` | `getRenderedDistance()` There are four buttons within the wizards: previous, next, finish, cancel.
    `java.lang.String` | `getStep()` Name of the wizard step that is displayed to the user.
    `java.lang.String` | `getTextCancel()`
    `java.lang.String` | `getTextFinish()`
    `java.lang.String` | `getTextNext()`
    `java.lang.String` | `getTextPrevious()`

- - ### Method Detail

    - #### getStep

          java.lang.String getStep()

      Name of the wizard step that is displayed to the user.

    - #### getPage

          java.lang.String getPage()

      Page that is shown for the step.

    - #### getContentReplace

          java.lang.String getContentReplace()

      Content replace for the page that will be included.

    - #### checkIfFinishIsEnabled

          boolean checkIfFinishIsEnabled()

      Check if this page allows to finish the wizard. Finishing means providing the function to successfully finish.

    - #### checkIfPageIsEnabled

          boolean checkIfPageIsEnabled()

      Check if this page is enabled.

    - #### checkIfDisabledMeansInvisibleWithPrevious

          boolean checkIfDisabledMeansInvisibleWithPrevious()

    - #### checkIfDisabledMeansInvisibleWithNext

          boolean checkIfDisabledMeansInvisibleWithNext()

    - #### checkIfDisabledMeansInvisibleWithFinish

          boolean checkIfDisabledMeansInvisibleWithFinish()

    - #### getTextPrevious

          java.lang.String getTextPrevious()

    - #### getTextNext

          java.lang.String getTextNext()

    - #### getTextFinish

          java.lang.String getTextFinish()

    - #### getTextCancel

          java.lang.String getTextCancel()

    - #### getIconPrevious

          java.lang.String getIconPrevious()

    - #### getIconNext

          java.lang.String getIconNext()

    - #### getIconFinish

          java.lang.String getIconFinish()

    - #### getIconCancel

          java.lang.String getIconCancel()

    - #### getIconDisabled

          java.lang.String getIconDisabled()

    - #### getRenderedDistance

          boolean getRenderedDistance()

      There are four buttons within the wizards: previous, next, finish, cancel. Between the next and the finish button there is a distance. By specifying "false" you decide that the distance is not rendered.

Copyright © CaptainCasa Gmbh. All Rights Reserved.